SystemOrganization addCategory: #ConfigurationOfMooseExecutionAnalyzer!

Object subclass: #ConfigurationOfMooseExecutionAnalyzer
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMooseExecutionAnalyzer'!

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'development support' stamp: 'AlexandreBergel 1/23/2012 15:09'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'private' stamp: 'AlexandreBergel 1/23/2012 15:09'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'private' stamp: 'AlexandreBergel 1/23/2012 15:09'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'private' stamp: 'AlexandreBergel 1/23/2012 15:09'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 1/23/2012 15:09'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'loading' stamp: 'AlexandreBergel 1/23/2012 15:09'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'loading' stamp: 'AlexandreBergel 1/23/2012 15:09'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'loading' stamp: 'AlexandreBergel 1/23/2012 15:09'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'accessing' stamp: 'AlexandreBergel 1/23/2012 15:09'!
project

	^self new project! !

!ConfigurationOfMooseExecutionAnalyzer class methodsFor: 'development support' stamp: 'AlexandreBergel 1/23/2012 15:09'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMooseExecutionAnalyzer methodsFor: 'baselines' stamp: 'AlexandreBergel 1/23/2012 15:09'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/MooseExecutionAnalizer'.
		spec package: 'MooseExecutionAnalyzer'.
		spec group: 'default' with: #('MooseExecutionAnalyzer' ). ].
! !

!ConfigurationOfMooseExecutionAnalyzer methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 1/23/2012 15:09'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfMooseExecutionAnalyzer methodsFor: 'accessing' stamp: 'AlexandreBergel 1/23/2012 15:09'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMooseExecutionAnalyzer methodsFor: 'versions' stamp: 'AlexandreBergel 1/23/2012 15:10'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : First version. Removed a halt from the test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '1/23/2012 15:10'.
		spec package: 'MooseExecutionAnalyzer' with: 'MooseExecutionAnalyzer-AlexandreBergel.10'. ].
! !
